

function onBegin()
    
    disableMovement()
    disableRetry ()
    makeUnskippable ()
    player.ForceCameraUpdate = true

    walkTo (4728, walkBackwards==false, speedMultiplier==1, keepWalkingIntoWalls==false)

    say("WHE_NaCline_B_16")
    wait(0.2)
    walkTo (4766, walkBackwards==false, speedMultiplier==1, keepWalkingIntoWalls==false)
    wait(0.3)

    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(1)
    say("WHE_NaCline_B_17")
    wait(1)
    player.DummyAutoAnimate = true
    wait(1)
    say("WHE_NaCline_B_18")
    setFlag("wind",true)
    playSound ("event:/WHE/WHE_wind")
    wait(2)
    playSound ("event:/WHE/WHE_wind")
    wait(2)
    wait(1)
    setFlag("wind",false)
    say("WHE_NaCline_B_19")
    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(2)
    player.DummyAutoAnimate = true
    wait(1)
    say("WHE_NaCline_B_20")


    endCutscene ()
    enableMovement()
    enableRetry ()

end

--[[
function onEnd(level, wasSkipped)
	if wasSkipped then
		
        setFlag("phone_visible", false)

        endCutscene ()
		enableMovement()
        
	end
end
--]]